GET
/api/conversations/{conversationId}/headlessObtaining the information needed to show the user the current page of the identity verification process
Returns information about the values that should be rendered on page and displayed to the user.
Detailed description of the returned attributes:
| Parameter | Example | Description |
|---|---|---|
| component | SMART_ID/SHOW_CODE | Name of method related with current step and expected action related to UI in verification process. |
| next | fd78cf43-12a7... | Id of the page to which the user information should be submitted. Information is sent via the method POST /api/conversations/{conversationId}/headless/{next}. |
| args | parameter name list | List of parameters that should be displayed to the user. |
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
conversationId | path | string | Required | Conversation ID |
X-User-IP | header | string | Required | User IP Address |
Responses
Information available
Content-Type
application/vnd.authologic.v1.1+jsonJSONcomponentstringInformation needed to render the page
nextstringId of the page to which the user information should be submitted
argsobjectOption parameters which can be used by the user
[additional properties]anyerrorsarray<HeadlessPageArgError>Information about errors occurred when processing the data from the page
Exhaustion of the plan or limitations related to non-payment
Permission denied
Content-Type
application/vnd.authologic.v1.1+jsonJSONstatusstring required Response status
messagestring required Descriptive error message
violationsarray<Violation> required Validation error list
statusDetailstringResponse status detailed information
Conversation not found
Content-Type
application/vnd.authologic.v1.1+jsonJSONstatusstring required Response status
messagestring required Descriptive error message
violationsarray<Violation> required Validation error list
statusDetailstringResponse status detailed information
Server side error